{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicSetNameExpression(Lorg/eclipse/uml2/uml/StringExpression;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicSetOwnedTemplateSignature(Lorg/eclipse/uml2/uml/TemplateSignature;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicSetTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicSetOwningTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.getOwnedAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/DataTypeImpl.getOwnedOperations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 1
  }
}